org.eclipse.emf.compare.provider.spec

## Class ComparisonItemProviderSpec

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterImpl
  - - org.eclipse.emf.edit.provider.ItemProviderAdapter
    - - org.eclipse.emf.compare.provider.ComparisonItemProvider
      - - org.eclipse.emf.compare.provider.spec.ComparisonItemProviderSpec

All Implemented Interfaces:
  Adapter, Adapter.Internal, ResourceLocator, IItemDescriptionProvider, IItemStyledLabelProvider, CreateChildCommand.Helper, IChangeNotifier, IDisposable, IEditingDomainItemProvider, IItemColorProvider, IItemFontProvider, IItemLabelProvider, IItemPropertySource, IStructuredItemContentProvider, ITreeItemContentProvider

    public class ComparisonItemProviderSpec
    extends ComparisonItemProvider
    implements IItemStyledLabelProvider, IItemDescriptionProvider

Specialized `ComparisonItemProvider` returning nice output for `ComparisonItemProvider.getText(Object)` and `ComparisonItemProvider.getImage(Object)`.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter

`ItemProviderAdapter.ChildrenStore, ItemProviderAdapter.ModifiableSingletonEList<E>, ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommand, ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommandActionDelegate`

### Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter

`Adapter.Internal`

### Field Summary

### Fields inherited from class org.eclipse.emf.compare.provider.ComparisonItemProvider

`copyright`

### Fields inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter

`adapterFactory, changeNotifier, childrenFeatures, childrenReferences, childrenStoreMap, itemPropertyDescriptors, targets, wrappers, wrappingNeeded`

### Fields inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

`target`

### Fields inherited from interface org.eclipse.emf.edit.provider.IItemColorProvider

`GRAYED_OUT_COLOR`

### Fields inherited from interface org.eclipse.emf.edit.provider.IItemFontProvider

`BOLD_FONT, BOLD_ITALIC_FONT, ITALIC_FONT, NORMAL_FONT`

### Constructor Summary

Constructors
Constructor and Description
`ComparisonItemProviderSpec(AdapterFactory adapterFactory)` Constructs a ComparisonItemProviderSpec with the given factory.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getDescription(Object object)` Returns the description for the given object.
`IStyledString.IComposedStyledString` `getStyledText(Object object)` Returns the styled text label for the given object.

### Methods inherited from class org.eclipse.emf.compare.provider.ComparisonItemProvider

`addDiagnosticPropertyDescriptor, addThreeWayPropertyDescriptor, collectNewChildDescriptors, getChildFeature, getChildrenFeatures, getImage, getPropertyDescriptors, getResourceLocator, getText, notifyChanged`

### Methods inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter

`addListener, adjustWrapperIndex, adjustWrapperIndices, adjustWrapperIndices, createAddCommand, createAddCommand, createChildParameter, createChildrenStore, createCommand, createCopyCommand, createCreateChildCommand, createCreateChildCommand, createCreateCopyCommand, createDragAndDropCommand, createDragAndDropCommand, createInitializeCopyCommand, createItemPropertyDescriptor, createItemPropertyDescriptor, createMoveCommand, createMoveCommand, createRemoveCommand, createRemoveCommand, createReplaceCommand, createReplaceCommand, createReplaceCommand, createSetCommand, createSetCommand, createWrapper, crop, dispose, disposeWrapper, disposeWrappers, factorAddCommand, factorMoveCommand, factorRemoveCommand, fireNotifyChanged, getAdapterFactory, getBackground, getBackground, getBaseURL, getChildReference, getChildren, getChildrenReferences, getChildrenStore, getColumnImage, getColumnText, getCreateChildDescription, getCreateChildImage, getCreateChildResult, getCreateChildText, getCreateChildToolTipText, getEditableValue, getElements, getFeatureText, getFeatureValue, getFont, getFont, getForeground, getForeground, getImage, getNewChildDescriptors, getParent, getPropertyDescriptor, getPropertyValue, getReferenceValue, getResourceLocator, getRootAdapterFactory, getSetFeature, getSetFeatures, getString, getString, getString, getString, getString, getString, getString, getString, getTypeText, getTypeText, getUpdateableText, getValue, getWrappedValues, hasChildren, hasChildren, isAdapterForType, isEquivalentValue, isPropertySet, isResolveProxies, isValidValue, isWrappingNeeded, overlayImage, removeListener, resetPropertyValue, setPropertyValue, setTarget, shouldComposeCreationImage, shouldTranslate, unsetTarget, unwrap, unwrapCommandValues, updateChildren, wrap, wrapCommand`

### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

`getTarget`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.edit.provider.IEditingDomainItemProvider

`createCommand, getChildren, getNewChildDescriptors, getParent`

### Methods inherited from interface org.eclipse.emf.edit.provider.ITreeItemContentProvider

`getChildren, getParent, hasChildren`

### Methods inherited from interface org.eclipse.emf.edit.provider.IStructuredItemContentProvider

`getElements`

### Methods inherited from interface org.eclipse.emf.edit.provider.IItemPropertySource

`getEditableValue, getPropertyDescriptor`

### Methods inherited from interface org.eclipse.emf.edit.provider.IItemColorProvider

`getBackground, getForeground`

### Methods inherited from interface org.eclipse.emf.edit.provider.IItemFontProvider

`getFont`

### Constructor Detail

#### ComparisonItemProviderSpec

    public ComparisonItemProviderSpec(AdapterFactory adapterFactory)

Constructs a ComparisonItemProviderSpec with the given factory.

Parameters:
  `adapterFactory` - the factory given to the super constructor.

### Method Detail

#### getStyledText

    public IStyledString.IComposedStyledString getStyledText(Object object)

Returns the styled text label for the given object.

Specified by:
  `getStyledText` in interface `IItemStyledLabelProvider`
Overrides:
  `getStyledText` in class `ItemProviderAdapter`
Parameters:
  `object` - the object to evaluate the styled string for.
Returns:
  the styled string.
See Also:
  `IItemStyledLabelProvider.getStyledText(java.lang.Object)`

#### getDescription

    public String getDescription(Object object)

Returns the description for the given object.

Specified by:
  `getDescription` in interface `IItemDescriptionProvider`
Parameters:
  `object` - the object to evaluate the description for.
Returns:
  the description.
See Also:
  `IItemDescriptionProvider.getDescription(java.lang.Object)`